Subject: Re: [MIB-DOCTORS] mgmd-mib

From: "Bert Wijnen \(IETF\)" <[email-masked]>
Date: Tue, 27 Jan 2009 16:02:55 +0100

(now I do copy the mib-doctors because it answers a quesiton that was posted to that list)

The subtyping would be in the OBJECT-TYPE definitions itself, not so much
in the MODULE-CONFORMANCE.

Any OBJECTs that have MAX-ACCESS of not accsible (becuase they are an index object) 
are often specified as comments in the MODULE-COMPLIANCE DESCRIPTION clauses.

Bert
  ----- Original Message ----- 
  From: Brian Haberman 
  To: Bert Wijnen (IETF) 
  Cc: Jari Arkko ; Romascanu, Dan (Dan) 
  Sent: Tuesday, January 27, 2009 3:53 PM
  Subject: Re: mgmd-mib

  Bert Wijnen (IETF) wrote:
  > I am not cc:ing the mib-doctors list here, because they did not see the new
  > copy of the document yet (or so is my understanding).
  >  
  > - SO I have checked on the MIB doctors list if my comment on
  >   InetAddressType SYNTAX subtyping is OK. It seems it is (Brian, you have
  >   seen the copies as far as I know).
  >   Note that Juergen wondered if scoped IPv6 addresses are supported and 
  > if so,
  >   they would require a SIZE of 20.

  While MLD uses scoped addresses in the messages sent, they are 
  delineated in the MIB by the ifIndex.  So we do not need to specify a 
  size of 20.  However, it may be clearer to restrict the InetAddressType 
  fields to IPv4 and/or IPv6 (as was recommended), but it is unclear I can 
  do that in a Conformance statement since the InetAddressType objects 
  have a MAX-ACCESS of not-accessible.

  The remainder of these comments and the ones sent earlier will be 
  incorporated into the document.  Thanks!

  Regards,
  Brian
_______________________________________________
MIB-DOCTORS mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mib-doctors